liblwt-ocaml_2.7.1-7_amd64.deb


Advertisement

Description

liblwt-ocaml - cooperative light-weight thread library for OCaml (runtime)

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package filename liblwt-ocaml_2.7.1-7_amd64.deb
Package name liblwt-ocaml
Package version 2.7.1
Package release 7
Package architecture amd64
Package type deb
Category ocaml role::shared-lib
Homepage http://ocsigen.org/lwt
License -
Maintainer Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Download size 678.03 KB
Installed size 2.64 MB

Alternatives

Package Version Architecture Repository
liblwt-ocaml_2.7.1-7_i386.deb 2.7.1 i386 Debian Main
liblwt-ocaml - - -

Requires

Name Value
libc6 >= 2.28
libev4 >= 1:4.04
libreact-ocaml-z0ip2 -
libresult-ocaml-pb8f3 -
ocaml-base-nox-4.05.0 -

Provides

Name Value
liblwt-ocaml-wzhx7 -

Replaces

Name Value
liblwt-ocaml-dev << 2.3.0

Download

Type URL
Mirror ftp.br.debian.org
Binary Package liblwt-ocaml_2.7.1-7_amd64.deb
Source Package lwt

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install liblwt-ocaml deb package:
    # sudo apt-get install liblwt-ocaml

Files

Path
/usr/lib/ocaml/lwt/META
/usr/lib/ocaml/lwt/lwt-log.cma
/usr/lib/ocaml/lwt/lwt-log.cmxs
/usr/lib/ocaml/lwt/lwt-preemptive.cma
/usr/lib/ocaml/lwt/lwt-preemptive.cmxs
/usr/lib/ocaml/lwt/lwt-react.cma
/usr/lib/ocaml/lwt/lwt-react.cmxs
/usr/lib/ocaml/lwt/lwt-simple-top.cma
/usr/lib/ocaml/lwt/lwt-simple-top.cmxs
/usr/lib/ocaml/lwt/lwt-unix.cma
/usr/lib/ocaml/lwt/lwt-unix.cmxs
/usr/lib/ocaml/lwt/lwt.cma
/usr/lib/ocaml/lwt/lwt.cmxs
/usr/lib/ocaml/lwt/ppx.cma
/usr/lib/ocaml/lwt/ppx.cmxs
/usr/lib/ocaml/lwt_react/META
/usr/lib/ocaml/stublibs/dlllwt-unix_stubs.so
/usr/share/doc/liblwt-ocaml/changelog.Debian.gz
/usr/share/doc/liblwt-ocaml/changelog.gz
/usr/share/doc/liblwt-ocaml/copyright

Changelog

2019-08-20 - Stéphane Glondu <glondu@debian.org>
lwt (2.7.1-7) unstable; urgency=medium
* Disable glib bindings
2019-08-05 - Stéphane Glondu <glondu@debian.org>
lwt (2.7.1-6) unstable; urgency=medium
* Remove camlp4 and lib{text,fileutils}-ocaml-dev from Build-Depends
- doc is no longer built and tests are no longer run
* Bump Standards-Version to 4.4.0
* Bump debhelper compat level to 12
2019-08-02 - Stéphane Glondu <glondu@debian.org>
lwt (2.7.1-5) unstable; urgency=high
* Force rebuild of all packages on buildds
* Update Vcs-*
2017-10-16 - Stéphane Glondu <glondu@debian.org>
lwt (2.7.1-4) unstable; urgency=medium
* Disable two tests that hang or fail on arm64 (Closes: #878495)
2017-10-13 - Stéphane Glondu <glondu@debian.org>
lwt (2.7.1-3) unstable; urgency=medium
* Properly fix installation on bytecode architectures (Closes:
#878236)
2017-10-12 - Stéphane Glondu <glondu@debian.org>
lwt (2.7.1-2) unstable; urgency=medium
* Fix installation on bytecode architectures (Closes: #878236)
2017-10-09 - Stéphane Glondu <glondu@debian.org>
lwt (2.7.1-1) unstable; urgency=medium
[ Stéphane Glondu ]
* New upstream release
- remove patch: there is no more manual to not build
- build-depend on libresult-ocaml-dev and cppo
- run tests (except unix_mcast)
- add lwt_{react,ssl,glib} findlib packages
* Update debian/watch
* Bump Standards-Version to 4.0.0
[ Nicolas Dandrimont ]
* d/control: remove myself from Uploaders
2017-07-22 - Stéphane Glondu <glondu@debian.org>
lwt (2.5.2-2) unstable; urgency=medium
* Add ocamlbuild to Build-Depends
2016-07-28 - Stéphane Glondu <glondu@debian.org>
lwt (2.5.2-1) unstable; urgency=medium
* New upstream release
* Fix package description, thanks to Justin B Rye (Closes: #787012)
* Update Vcs-*
* Update debian/copyright
* Bump debhelper compat to 9
* Bump Standards-Version to 3.9.8
2015-10-14 - Stéphane Glondu <glondu@debian.org>
lwt (2.5.0+1-1) unstable; urgency=medium
* New upstream release
- remove patch Add-Unix.O_CLOEXEC-flag-to-Lwt_unix (applied upstream)
- add patch Fix-FTBFS
- add libppx-tools-ocaml-dev to Build-Depends
- build-depend on libssl-ocaml-dev (>= 0.5)
* Update debian/watch

See Also

Package Description
liblwt-ssl-ocaml-dev_2.7.1-7_amd64.deb cooperative OpenSSL bindings for OCaml
liblwt-ssl-ocaml_2.7.1-7_amd64.deb cooperative OpenSSL bindings for OCaml (runtime)
liblxc1_3.1.0+really3.0.4-2_amd64.deb Linux Containers userspace tools (library)
liblxi-dev_1.13-1+b1_amd64.deb LAN eXtensions for Instrumentation (LXI) software interface
liblxi1_1.13-1+b1_amd64.deb LAN eXtensions for Instrumentation (LXI) software interface
liblxqt-globalkeys-ui0-dev_0.14.2-1_amd64.deb daemon used to register global keyboard shortcuts (ui dev files)
liblxqt-globalkeys-ui0_0.14.2-1_amd64.deb daemon used to register global keyboard shortcuts (ui files)
liblxqt-globalkeys0-dev_0.14.2-1_amd64.deb daemon used to register global keyboard shortcuts (dev files)
liblxqt-globalkeys0_0.14.2-1_amd64.deb daemon used to register global keyboard shortcuts (shared libs)
liblxqt-l10n_0.14.1-4_all.deb Language package for liblxqt
liblxqt0-dev_0.14.1-4_amd64.deb Shared libraries for LXQt desktop environment (dev)
liblxqt0_0.14.1-4_amd64.deb Shared libraries for LXQt desktop environment (libs)
liblz-dev_1.11-4_amd64.deb data compressor based on the LZMA algorithm (development)
liblz1_1.11-4_amd64.deb data compressor based on the LZMA algorithm (library)
liblz4-1_1.9.1-2_amd64.deb Fast LZ compression algorithm library - runtime
Advertisement
Advertisement